Macro definition

SYNOPSIS

pi_id | pi_macro(pi_data *);

PARAMETER

pi_data.from: | start macro name
pi_data.to: | end macro name
pi_data.name: | macro name
pi_data.type: | macro value

DESCRIPTION
This function must be called whenever the parser detects a macro definition in the source file.
C/C++ example
#define FLAG 0x01
SNiFF+ Fuzzy Parser action
Each example is followed by a description of how SNiFF+'s Fuzzy Parser would parse it.
For example:

pi_data.from: | points to first character of the name "FLAG"
pi_data.to: | points to last character of the name "FLAG"
pi_data.name: | "FLAG"
pi_data.type: | "0x01"

SNiFF+ usage
macro name highlighted in the Source Editor and shown in the Symbol Browser (as a macro)